| OpenMS 2.5.0

MassCalculator

Calculates masses and mass-to-charge ratios of peptide sequences.

Given a peptide sequence and a charge state, the charged mass (including H+ adducts) and the mass-to-charge ratio are computed. The peptide sequence can include modifications (for information on valid notation see the AASequence class documentation). Neutral masses can be computed by using "0" as charge state.

Input can be given directly as values of the parameters: `in_seq` for peptide sequences and `charge` for charge states. Alternatively, it can be read from a file (see parameter `in`) with the following format: A peptide sequence at the beginning of each line, optionally followed by any number of charge states. Whitespace, commas or semicolons can de used to delimit the different items. Parts of the input that cannot be understood will be skipped. If charge states are given in the input file as well as via the `charge` parameter, results are returned for the union of both sets of charge states.

Output can be written to a file or to the screen (see parameter `out`). Results for different charge states are always ordered from lowest to highest charge. A number of different output formats are available via the parameter `format:`

- `list` writes a human-readable list of the form "ABCDEF: z=1 m=566.192 m/z=566.192, z=2 m=567.199 m/z=283.599";
- `table` produces a CSV-like table (using parameter `separator` to delimit fields) with the columns "peptide", "charge", "mass", and "mass-to-charge", and with one row per peptide and charge state;
- `mass_only` writes only mass values (one line per peptide, values for different charge states separated by spaces);
- `mz_only` writes only mass-to-charge ratios (one line per peptide, values for different charge states separated by spaces).

The command line parameters of this tool are:

    Residue::getResidueTypeName: residue type has no name

    Residue::getResidueTypeName: residue type has no name

    Residue::getResidueTypeName: residue type has no name

    Residue::getResidueTypeName: residue type has no name

    Residue::getResidueTypeName: residue type has no name

    Residue::getResidueTypeName: residue type has no name

    Residue::getResidueTypeName: residue type has no name

    MassCalculator -- Calculates masses and mass-to-charge ratios of peptide sequences

    Full documentation: http://www.openms.de/documentation/UTILS_MassCalculator.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      MassCalculator <options>

    Options (mandatory options marked with '*'):

      -in <file>                   Input file with peptide sequences and optionally charge numbers (mutually excl

                                   usive to 'in_seq') (valid formats: 'txt')

      -in_seq <peptide_sequences>  List of peptide sequences (mutually exclusive to 'in')

      -out <file>                  Output file; if empty, output is written to the screen (valid formats: 'txt')

      -charge <numbers>            List of charge states; required if 'in_seq' is given (default: '[0]')

      -format <choice>             Output format ('list': human-readable list, 'table': CSV-like table, 'mass_onl

                                   y': mass values only, 'mz_only': m/z values only)

                                   (default: 'list' valid: 'list', 'table', 'mass_only', 'mz_only')

      -average_mass                Compute average (instead of monoisotopic) peptide masses

      -fragment_type <choice>      For what type of sequence/fragment the mass should be computed

                                   (default: 'full' valid: 'full', 'internal', 'N-terminal', 'C-terminal', 'a-i

                                   on', 'b-ion', 'c-ion', 'x-ion', 'y-ion', 'z-ion')

      -separator <sep>             Field separator for 'table' output format; by default, the 'tab' character is

                                   used

    Common UTIL options:

      -ini <file>                  Use the given TOPP INI file

      -threads <n>                 Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>            Writes the default configuration file

      --help                       Shows options

      --helphelp                   Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+MassCalculator Calculates masses and mass-to-charge ratios of peptide sequences
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'MassCalculator'
in Input file with peptide sequences and optionally charge numbers (mutually exclusive to 'in_seq')input file*.txt
in_seq[] List of peptide sequences (mutually exclusive to 'in')
out Output file; if empty, output is written to the screen output file*.txt
charge[0] List of charge states; required if 'in_seq' is given
format list Output format ('list': human-readable list, 'table': CSV-like table, 'mass_only': mass values only, 'mz_only': m/z values only)
list,table,mass_only,mz_only
average_mass false Compute average (instead of monoisotopic) peptide masses true,false
fragment_type full For what type of sequence/fragment the mass should be computed
full,internal,N-terminal,C-terminal,a-ion,b-ion,c-ion,x-ion,y-ion,z-ion
separator Field separator for 'table' output format; by default, the 'tab' character is used
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false